HeadRules.HeadRulesSerializer (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.parser.lang.en

## Class HeadRules.HeadRulesSerializer

- java.lang.Object
- - opennlp.tools.parser.lang.en.HeadRules.HeadRulesSerializer

- All Implemented Interfaces:
    ArtifactSerializer<HeadRules>
  Enclosing class:
    HeadRules

      public static class HeadRules.HeadRulesSerializer
      extends Object
      implements ArtifactSerializer<HeadRules>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HeadRulesSerializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HeadRules` | `create(InputStream in)` Creates the artifact from the provided `InputStream`.
    `void` | `serialize(HeadRules artifact, OutputStream out)` Serializes the artifact to the provided `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HeadRulesSerializer

          public HeadRulesSerializer()

  - ### Method Detail

    - #### create

          public HeadRules create(InputStream in)
                           throws IOException

      Description copied from interface: `ArtifactSerializer`
      Creates the artifact from the provided `InputStream`. The `InputStream` remains open.
      Specified by:
        `create` in interface `ArtifactSerializer<HeadRules>`
      Returns:
        the artifact
      Throws:
        `IOException`

    - #### serialize

          public void serialize(HeadRules artifact,
                                OutputStream out)
                         throws IOException

      Description copied from interface: `ArtifactSerializer`
      Serializes the artifact to the provided `OutputStream`. The `OutputStream` remains open.
      Specified by:
        `serialize` in interface `ArtifactSerializer<HeadRules>`
      Throws:
        `IOException`

Copyright © 2026 The Apache Software Foundation. All rights reserved.